> ## Documentation Index
> Fetch the complete documentation index at: https://docs.codex.io/llms.txt
> Use this file to discover all available pages before exploring further.

# listTopTokens

> Returns a list of trending tokens across any given network(s). Reference for the listTopTokens query in the Codex API: arguments, response fields, and usage.

<div data-generated>
  ## GraphQL

  ```
  type Query {
    listTopTokens(
      limit: Int
      networkFilter: [Int!]
      resolution: String
    ): [TokenWithMetadata!]
  }

  type Exchange {
    id: String!
    address: String!
    color: String
    name: String
    exchangeVersion: String
    iconUrl: String
    networkId: Int!
    tradeUrl: String
  }

  enum QuoteToken {
    token0
    token1
  }

  type TokenWithMetadata {
    address: String!
    decimals: Int
    exchanges: [Exchange!]!
    id: String!
    liquidity: String!
    name: String!
    networkId: Int!
    price: Float!
    priceChange: Float!
    isScam: Boolean
    priceChange1: Float
    priceChange12: Float
    priceChange24: Float
    priceChange4: Float
    quoteToken: QuoteToken
    marketCap: String
    txnCount1: Int
    txnCount12: Int
    txnCount24: Int
    txnCount4: Int
    uniqueBuys1: Int
    uniqueBuys12: Int
    uniqueBuys24: Int
    uniqueBuys4: Int
    uniqueSells1: Int
    uniqueSells12: Int
    uniqueSells24: Int
    uniqueSells4: Int
    resolution: String!
    symbol: String!
    topPairId: String!
    volume: String!
    imageThumbUrl: String
    imageSmallUrl: String
    imageLargeUrl: String
    imageBannerUrl: String
    createdAt: Int
    lastTransaction: Int
  }
  ```
</div>
